Package org.jcsp.plugNplay.ints

# Class IntegrateInt

java.lang.Object
org.jcsp.plugNplay.ints.IntegrateInt

All Implemented Interfaces:
  `CSProcess`

public final class IntegrateInt extends Object implements CSProcess
This is a running-sum integrator of the `ints` on its input stream to its output stream.

## Process Diagram

### External View

              ______________
         in  |              | out
        -->--| IntegrateInt |-->---
             |______________|

### Internal View

             ____________________________________________
            |  __________                   ___________  |
         in | |          |                 |           | | out
        -->---| PlusInt  |------->---------| Delta2Int |---->---
            | |__________|                 |___________| |
            |     |                              |       |
            |     |       _______________        |       |
            |     |      |               |       |       |
            |     +---invalid input: '<'--| PrefixInt (0) |---invalid input: '<'---+       |
            |            |_______________|               |
            |                               IntegrateInt |
            |____________________________________________|

## Description

The IntegrateInt class is a process which outputs running totals of the Numbers sent down its input channel.

## Channel Protocols

Input Channels
in | int | All channels in this package carry integers.
Output Channels
out | int | All channels in this package carry integers.

Author:
  P.H. Welch and P.D. Austin

## Constructor Summary

Constructors
Constructor
Description
`IntegrateInt(ChannelInputInt in, ChannelOutputInt out)`
Construct a new IntegrateInt process with the input Channel in and the output Channel out.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
The main body of this process.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IntegrateInt

public IntegrateInt(ChannelInputInt in, ChannelOutputInt out)
Construct a new IntegrateInt process with the input Channel in and the output Channel out.

Parameters:
  `in` - the input Channel
  `out` - the output Channel

## Method Details

### run

public void run()
The main body of this process.

Specified by:
  `run` in interface `CSProcess`